Package org.springframework.security.authorization.method

# Class AuthorizeReturnObjectMethodInterceptor

java.lang.Object
org.springframework.security.authorization.method.AuthorizeReturnObjectMethodInterceptor

All Implemented Interfaces:
  `org.aopalliance.aop.Advice`, `org.aopalliance.intercept.Interceptor`, `org.aopalliance.intercept.MethodInterceptor`, `org.springframework.aop.Advisor`, `org.springframework.aop.framework.AopInfrastructureBean`, `org.springframework.aop.PointcutAdvisor`, `org.springframework.core.Ordered`, `AuthorizationAdvisor`

public final class AuthorizeReturnObjectMethodInterceptor extends Object implements AuthorizationAdvisor
A method interceptor that applies the given `AuthorizationProxyFactory` to any return value annotated with `AuthorizeReturnObject`

Since:
  6.3
See Also:
  - `AuthorizationAdvisorProxyFactory`

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`AuthorizeReturnObjectMethodInterceptor(AuthorizationProxyFactory authorizationProxyFactory)`

## Method Summary

Modifier and Type
Method
Description
`org.aopalliance.aop.Advice`
`getAdvice()`
`int`
`getOrder()`
`org.springframework.aop.Pointcut`
`getPointcut()`
`Object`
`invoke(org.aopalliance.intercept.MethodInvocation mi)`
`boolean`
`isPerInstance()`
`void`
`setOrder(int order)`
`void`
`setPointcut(org.springframework.aop.Pointcut pointcut)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthorizeReturnObjectMethodInterceptor

public AuthorizeReturnObjectMethodInterceptor(AuthorizationProxyFactory authorizationProxyFactory)

## Method Details

### invoke

public Object invoke(org.aopalliance.intercept.MethodInvocation mi) throws Throwable

Specified by:
  `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
Throws:
  `Throwable`

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`

### setOrder

public void setOrder(int order)

### getPointcut

public org.springframework.aop.Pointcut getPointcut()

Specified by:
  `getPointcut` in interface `org.springframework.aop.PointcutAdvisor`

### setPointcut

public void setPointcut(org.springframework.aop.Pointcut pointcut)

### getAdvice

public org.aopalliance.aop.Advice getAdvice()

Specified by:
  `getAdvice` in interface `org.springframework.aop.Advisor`

### isPerInstance

public boolean isPerInstance()

Specified by:
  `isPerInstance` in interface `org.springframework.aop.Advisor`